nxt.tools

## Class ContractManager.ContractData

- java.lang.Object
- - nxt.tools.ContractManager.ContractData

- Enclosing class:
    ContractManager

      public static class ContractManager.ContractData
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ContractData(java.lang.String contractName)`
    `ContractData(java.lang.String contractName, java.lang.String fullName, JO response, byte[] bytes, java.lang.String mimeType, Contract contract, byte[] taggedDataHash)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `byte[]` | `getBytes()`
    `Contract` | `getContract()`
    `java.lang.String` | `getContractName()`
    `java.lang.String` | `getFullName()`
    `java.lang.String` | `getMimeType()`
    `JO` | `getResponse()`
    `byte[]` | `getTaggedDataHash()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ContractData

          public ContractData(java.lang.String contractName)

    - #### ContractData

          public ContractData(java.lang.String contractName,
                              java.lang.String fullName,
                              JO response,
                              byte[] bytes,
                              java.lang.String mimeType,
                              Contract contract,
                              byte[] taggedDataHash)

  - ### Method Detail

    - #### getContractName

          public java.lang.String getContractName()

    - #### getFullName

          public java.lang.String getFullName()

    - #### getResponse

          public JO getResponse()

    - #### getBytes

          public byte[] getBytes()

    - #### getMimeType

          public java.lang.String getMimeType()

    - #### getContract

          public Contract getContract()

    - #### getTaggedDataHash

          public byte[] getTaggedDataHash()